| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDataViewIconText Class Reference
wxDataViewCtrl Related Classes

`#include <wx/dataview.h>`

Inheritance diagram for wxDataViewIconText:
[legend]

## Detailed Description

wxDataViewIconText is used by wxDataViewIconTextRenderer for data transfer.

This class can be converted to and from a wxVariant.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions
const wxIcon & | GetIcon () const
| Gets the icon.
wxString | GetText () const
| Gets the text.
void | SetIcon (const wxIcon &icon)
| Set the icon.
void | SetText (const wxString &text)
| Set the text.
| wxDataViewIconText (const wxString &text=wxEmptyString, const wxIcon &icon=wxNullIcon)
| Constructor.
| wxDataViewIconText (const wxDataViewIconText &other)
| Constructor.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxDataViewIconText::wxDataViewIconText | ( | const wxString & | text = `wxEmptyString`,
|  | const wxIcon & | icon = `wxNullIcon`
| ) |  |

Constructor.

wxDataViewIconText::wxDataViewIconText | ( | const wxDataViewIconText & | other | ) |

Constructor.

## Member Function Documentation

const wxIcon& wxDataViewIconText::GetIcon | ( |  | ) | const

Gets the icon.

wxString wxDataViewIconText::GetText | ( |  | ) | const

Gets the text.

void wxDataViewIconText::SetIcon | ( | const wxIcon & | icon | ) |

Set the icon.

void wxDataViewIconText::SetText | ( | const wxString & | text | ) |

Set the text.